ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToAsm.PPC.Cond

# Documentation

data Cond Source #

Constructors

ALWAYS |
EQQ |
GE |
GEU |
GTT |
GU |
LE |
LEU |
LTT |
LU |
NE |

#### Instances

Instances details

Eq Cond Source # |
Instance details Defined in GHC.CmmToAsm.PPC.Cond Methods (==) :: Cond -> Cond -> Bool # (/=) :: Cond -> Cond -> Bool #

condNegate :: Cond -> Cond Source #

condUnsigned :: Cond -> Bool Source #